> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glorycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Usage Details

> Get the usage details of a specified proxy plan.



## OpenAPI

````yaml get /go-api/v1/account/plan/usage
openapi: 3.0.1
info:
  title: GoProxy API Documentation
  description: ''
  version: 1.0.0
servers: []
security: []
tags: []
paths:
  /go-api/v1/account/plan/usage:
    get:
      tags: []
      summary: Get Usage Details
      description: Get the usage details of a specified proxy plan.
      parameters:
        - name: proxyType
          in: query
          description: >-
            The proxy type to query. 

            Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for
            Rotating Datacenter.
          required: true
          schema:
            type: integer
            title: proxyType
        - name: orderId
          in: query
          description: Specify the order ID to query a specific plan.
          required: true
          schema:
            type: string
            title: orderId
        - name: apiKey
          in: header
          description: API key used for authentication.
          required: true
          example: ''
          schema:
            type: string
            title: apiKey
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAccountPlanUsageResponseModel'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetAccountPlanUsageResponseModel:
      properties:
        usage:
          items:
            $ref: '#/components/schemas/AccountPlanUsageResponseModel'
          type: array
          title: usage
      type: object
      title: GetAccountPlanUsageResponseModel
    AccountPlanUsageResponseModel:
      properties:
        totalTraffic:
          type: string
          title: totalTraffic
          description: Total traffic for the plan, in MB.
          example: '100.00'
        availableTraffic:
          type: string
          title: availableTraffic
          description: Remaining traffic available for use, in MB.
          example: '100.00'
        useTraffic:
          type: string
          title: useTraffic
          description: Traffic that has been used, in MB.
          example: '0.00'
        orderId:
          type: string
          title: orderId
          description: Unique identifier for the order associated with the plan.
          example: HW20241201153000000
        proxyType:
          type: integer
          title: proxyType
          description: >-
            The proxy type of the plan: 1 for Rotating Residential, 2 for
            Rotating Mobile, 3 for Rotating Datacenter.
          example: 1 - Rotating Residential
      type: object
      required:
        - totalTraffic
        - availableTraffic
        - useTraffic
        - orderId
        - proxyType
      title: AccountPlanResponseModel

````